Subject: re: LOGIN in POP3

From: [email-masked]
Date: Thu, 7 Jun 2001 11:42:40 -0700

Hi,

Whenever there is a pop3 request for an user, I do pop3_open
and then pop3_auth. mm_login is being called from pop3_auth.
So how do I make available those values inside mm_login so that
it can set the user and password buffers sent by pop3_auth ?

Thanks,
Manjula
----- Forwarded by Manjula Hullatti/US/Centigram on 06/07/2001 11:29 AM
-----
|--------+------------------------>
|        |          Mark Crispin  |
|        |          <[email-masked]|
|        |          ngton.EDU>    |
|        |                        |
|        |          06/07/2001    |
|        |          11:16 AM      |
|        |                        |
|--------+------------------------>
  >------------------------------------------------|
  |                                                |
  |       To:     [email-masked]         |
  |       cc:     [email-masked],     |
  |       [email-masked], (bcc:      |
  |       Manjula Hullatti/US/Centigram)           |
  |       Subject:     re: LOGIN in POP3           |
  >------------------------------------------------|

It should suffice to hard code them in mm_login().  Note that c-client
passes
buffers, so you have to do something like
  strcpy (user,"fred");
  strcpy (password,"sesame");
instead of
  user = "fred";
  password = "sesame";

On Thu, 7 Jun 2001 11:14:57 -0700, [email-masked] wrote:
> This is regarding login phase in POP3. After I do pop3_open,
> I need to login to the mailbox. For this I need to pass the USER
> and the PASS values. I understand that the pop3_auth() gets these
> values by calling mm_login() and passes those values thru
> pop3_send (stream,"USER",usr) and pop3_send (stream,"PASS",tmp)
> commands. In my program I just hardcoded these values in the mm_login
> function. My question is how do I pass/set these values(user name and
> passowrd)
> from my function so that its taken during pop3_auth for login.